All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::builtin_database::database_type< ParamT >::type Struct Reference

`#include <common.hpp>`

## Public Types

typedef std::map < vendor_id_type, device_type_t > | map_t

## Public Attributes

map_t | d

## Detailed Description

### template<class ParamT>
struct viennacl::device_specific::builtin_database::database_type< ParamT >::type

Definition at line 54 of file common.hpp.

## Member Typedef Documentation

template<class ParamT>

typedef std::map<vendor_id_type, device_type_t> viennacl::device_specific::builtin_database::database_type< ParamT >::type::map_t

Definition at line 54 of file common.hpp.

## Member Data Documentation

template<class ParamT>

map_t viennacl::device_specific::builtin_database::database_type< ParamT >::type::d

Definition at line 54 of file common.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/builtin_database/common.hpp